# miniwol

Small web server to send Wake-on-LAN requests to its local network

## Features
- Fully static frontend without JS
- Binary includes everything except config

## Installation
Option 1: Run `go build` in this folder after cloning, resulting in a binary `miniwol` in the current directory.

Option 2: Run `go get git.ulra.eu/adro/miniwol`, resulting in a binary in TODO.

Put the resulting binary in a place like `/usr/bin/miniwol` if you wish to run it like any command,

## Usage
Add an empty config, the program checks, in order of priority, for `./config.toml`, `./config/config.toml` and `/etc/miniwol/config.toml`. Make sure miniwol can write to it.

Set a password and write its hash to the config using `miniwol setpass <password>`. This will also add the other default fields to the config.

Configure the devices you want to be able to wake up as per the [example](./example/config.toml).

Now you can run the webserver using `miniwol` or `miniwol web` .

Sessions are simply stored in memory. In case you need to, you can clear all sessions by just restarting the webserver.
